Details

      Description

      There is wrong version of jsf.js (javax.faces:jsf.js resource) packaged in jboss-jsf-api_2.1_spec:2.0.6.Final [1].

      The root cause is this resource does not contain top-level var mojarra = mojarra || {}; definition, which makes JSF AJAX fail.

      But additionally, the resource is not compressed at all (as opposed to jsf.js in com.sun.faces:jsf-impl.

      In my opinion, the jsf.js and jsf-uncompressed.js resources should not be packaged with JSF API, they are part of implementation (com.sun.faces:jsf-impl).

      [1] https://github.com/jboss/jboss-jsf-api_spec/blob/jboss-jsf-api_2.1_spec-2.0.6.Final/src/main/resources/META-INF/resources/javax.faces/jsf.js

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  ssilvert Stan Silvert
                  Reporter:
                  lfryc Lukáš Fryč
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: